import request from '@/utils/request'

// 查询车辆型号列表
export function listModel(query) {
  return request({
    url: '/system/model/list',
    method: 'get',
    params: query
  })
}

// 查询车辆型号详细
export function getModel(modelId) {
  return request({
    url: '/system/model/' + modelId,
    method: 'get'
  })
}

// 新增车辆型号
export function addModel(data) {
  return request({
    url: '/system/model',
    method: 'post',
    data: data
  })
}

// 修改车辆型号
export function updateModel(data) {
  return request({
    url: '/system/model',
    method: 'put',
    data: data
  })
}

// 删除车辆型号
export function delModel(modelId) {
  return request({
    url: '/system/model/' + modelId,
    method: 'delete'
  })
}
